# Uses of Class
com.germinus.easyconf.ComponentConfiguration

Packages that use ComponentConfiguration
Package
Description
com.germinus.easyconf
com.germinus.easyconf.jmx

## Uses of ComponentConfiguration in com.germinus.easyconf

Methods in com.germinus.easyconf that return ComponentConfiguration
Modifier and Type
Method
Description
`static ComponentConfiguration`
EasyConf.`getConfiguration(String componentName)`
Get the full configuration of the given component.
`static ComponentConfiguration`
EasyConf.`getConfiguration(String companyId, String componentName)`
Get the full configuration of the given component, for the given company.

## Uses of ComponentConfiguration in com.germinus.easyconf.jmx

Fields in com.germinus.easyconf.jmx declared as ComponentConfiguration
Modifier and Type
Field
Description
`private ComponentConfiguration`
ComponentConfigurationDynamicMBean.`componentConfiguration`
Methods in com.germinus.easyconf.jmx that return ComponentConfiguration
Modifier and Type
Method
Description
`protected ComponentConfiguration`
ComponentConfigurationDynamicMBean.`getComponentConfiguration()`
Returns the ComponentConfiguration associated with this MBean.
Methods in com.germinus.easyconf.jmx with parameters of type ComponentConfiguration
Modifier and Type
Method
Description
`protected void`
ComponentConfigurationDynamicMBean.`setComponentConfiguration(ComponentConfiguration componentConfiguration)`
Constructors in com.germinus.easyconf.jmx with parameters of type ComponentConfiguration
Modifier
Constructor
Description
``
`ComponentConfigurationDynamicMBean(ComponentConfiguration component)`
Create a MBean wraping some loaded ComponentConfiguration